Summary:     A pixel manipulation library
Name:        pixman
Version:     0.22.2
Release:     1%{?dist}%{?pext}
License:     MIT
Group:       System Environment/Libraries
Source0:     ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
URL:         http://www.x.org/
Buildroot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:      X.org Foundation

%description
Pixman is a generic library for manipulating pixel regions, contains low-
level pixel manipulation routines such as image compositing and trapezoid
rasterization, and is used by both xorg and cairo.


%package     devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}
Requires:    pkgconfig

%description devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} V=1 %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}-?.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING INSTALL README TODO
%{_libdir}/lib%{name}-?.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-?
%{_libdir}/lib%{name}-?.*a
%{_libdir}/lib%{name}-?.so
%{_libdir}/pkgconfig/%{name}-?.pc


%changelog
* Tue Sep 20 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.22.2-1
- New version (0.22.2)

* Fri Feb 25 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.20.2-1
- Initial build
